curl
--location
--request POST 'https://staging-api.propaga.io/v1/transaction/{transactionId}/invoice' \
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"invoice": {
"discount": 0,
"products": [
{
"product": {
"description": "Sopa",
"price": 200.77,
"productKey": "50191507",
"sku": "00041789901980",
"taxes": [{ "rate": 0, "type": "IVA" }],
"unitKey": "XUN"
},
"quantity": 1
},
]
}
}'
{
"success": true
}
Transaction
Create invoice for transaction
Creates an invoice for a transaction sending the products for the invoice.
POST
/
transaction
/
{transactionId}
/
invoice
curl
--location
--request POST 'https://staging-api.propaga.io/v1/transaction/{transactionId}/invoice' \
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"invoice": {
"discount": 0,
"products": [
{
"product": {
"description": "Sopa",
"price": 200.77,
"productKey": "50191507",
"sku": "00041789901980",
"taxes": [{ "rate": 0, "type": "IVA" }],
"unitKey": "XUN"
},
"quantity": 1
},
]
}
}'
{
"success": true
}
curl
--location
--request POST 'https://staging-api.propaga.io/v1/transaction/{transactionId}/invoice' \
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"invoice": {
"discount": 0,
"products": [
{
"product": {
"description": "Sopa",
"price": 200.77,
"productKey": "50191507",
"sku": "00041789901980",
"taxes": [{ "rate": 0, "type": "IVA" }],
"unitKey": "XUN"
},
"quantity": 1
},
]
}
}'
{
"success": true
}
Path parameters
string
required
Propaga’s transaction id
Body
object
required
Show properties
Show properties
number
required
array
required
Show Product object
Show Product object
string
required
Product description
number
required
Total price for the product
string
required
The product key in the SAT system is an identifier in the Product and
Services Catalog (Catálogo de productos y servicios). For more
information, see the SAT’s
catalog
string
required
Internal product identifier
string
required
Product unit key in the SAT system. For more information, see the
SAT’s
catalog
number
required
Product quantity
Response
boolean
Was this page helpful?
⌘I

